// NF startup
#include "pch.h"

#include "nf/config.h"
#include "version.h"
#include "util.h"
#include "client/Client.h"

namespace nf {
    void runEngine(ClientConfig config) {
        std::string engineStr = std::format("Nothin' Fancy {}", NFVERSION);
        std::string gameStr = std::format("{} {}", config.appName, config.appVersion);
        NFLog(engineStr);
        NFLog(std::format("Starting {}", gameStr));

#ifdef _DEBUG
        SetThreadDescription(GetCurrentThread(), L"NF Main Thread");
        SetConsoleTitle(std::format("{} Debug Console - {}", engineStr, gameStr).c_str());
#endif

        // Start client
        {
            cli::Client client(config);
            client.run();
        }

        NFLog("Engine shutdown");
    }
}
