// File IO functions implementation
#include "pch.h"

namespace nf::util {
    bool readFile(const char* filename, std::string& out) {
        std::ifstream fileStream(filename, std::ios::binary | std::ios::ate);
        if (!fileStream.is_open())
            return false;

        size_t fileSize = fileStream.tellg();
        out.resize(fileSize);
        fileStream.seekg(0);
        fileStream.read(out.data(), fileSize);
        return true;
    }

    bool writeFile(const char* filename, const std::string& in) {
        std::ofstream fileStream(filename, std::ios::binary | std::ios::trunc);
        if (!fileStream.is_open())
            return false;

        fileStream << in;
        return true;
    }
}
